Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfTextRotationScaleType

    java.lang.Object
      java.lang.Enum<OdfTextRotationScaleType>
          org.odftoolkit.odfdom.dom.type.style.OdfTextRotationScaleType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextRotationScaleType>

    public enum OdfTextRotationScaleType

extends Enum<OdfTextRotationScaleType>

DOM implementation of OpenDocument attribute style:text-rotation-scale.

Enum Constant Summary
`FIXED`
`LINE_HEIGHT`

Method Summary
`static OdfTextRotationScaleType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextRotationScaleType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextRotationScaleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextRotationScaleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIXED

    public static final OdfTextRotationScaleType FIXED

### LINE_HEIGHT

    public static final OdfTextRotationScaleType LINE_HEIGHT

Method Detail

### values

    public static OdfTextRotationScaleType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextRotationScaleType c : OdfTextRotationScaleType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextRotationScaleType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextRotationScaleType>`
  Returns:
    return the name of OdfTextRotationScaleType

### toString

    public static String toString(OdfTextRotationScaleType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextRotationScaleType, see style:text-rotation-scale
  Returns:
    return the name of OdfTextRotationScaleType

### enumValueOf

    public static OdfTextRotationScaleType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextRotationScaleType
  Returns:
    return the constant of OdfTextRotationScaleType, see style:text-rotation-scale

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.